---

TurboLinux Security Announcement: glibc-2.1.2-17 and earlier

Date: Fri, 8 Sep 2000 19:09:05 -0700
From: Kevin Beyer [email protected]
To: [email protected]
Subject: [TL-Security-Announce] glibc unsetenv and locale
TLSA2000020-1


                        TurboLinux Security Announcement

        Package: glibc-2.1.2-17 and earlier
        Date: Friday September 08 17:08 PDT 2000

        Affected TurboLinux versions: 6.0.5 and earlier
        TurboLinux Advisory ID#:  TLSA2000021-1

A security hole was discovered in the package mentioned above.
Please update the package in your installation as soon as
possible.


1. Problem Summary

There have been two major security vulnerabilities involving
glibc, one involving ld.so and unsetenv that allows local user’s to
gain root privileges due to environment variables not getting
cleared out in some circumstances. Another vulnerability is lack of
good checking on the locale file specification which can be set to
a file provided by an attacker to crash an application and gain
root access. The locale problem is fully described in GNATS PR
1883
http://www-gnats.gnu.org:8080/cgi-bin/wwwgnats.pl/full/1883.

2. Impact

These problems provide means for local users gain root privilege
on a system.

3. Solution

Update the packages from our ftp server by running the following
command for each package:

rpm -Uvh –nodeps –Force ftp_path_to_filename

Where ftp_path_to_filename is the following:

for 6.0.4 and up (glibc-2.1.2-17):

ftp://ftp.turbolinux.com/pub/updates/6.0/glibc-2.1.2-17S.i386.rpm

for 6.0 – 6.0.2 (glibc-2.1.2-15):

ftp://ftp.turbolinux.com/pub/updates/6.0/glibc-2.1.2-15S.i386.rpm

The source RPMs can be downloaded here:

for 6.0.4 and up (glibc-2.1.2-17):

ftp://ftp.turbolinux.com/pub/updates/6.0/SRPMS/glibc-2.1.2-17S.src.rpm

for 6.0 – 6.0.2 (glibc-2.1.2-15):

ftp://ftp.turbolinux.com/pub/updates/6.0/SRPMS/glibc-2.1.2-15S.src.rpm

**Note: You must rebuild and install the RPM if you choose to
download and install the SRPM. Simply installing the SRPM alone
WILL NOT CLOSE THE SECURITY HOLE.

Please verify the MD5 checksums of the updates before you
install:

MD5 sum Package Name


b7824d1a9fd2dd461e8db5ca286fecd8 glibc-2.1.2-17S.i386.rpm
47e4b40362904acec32ecfad4f978220 glibc-devel-2.1.2-17S.i386.rpm
7ae48c7c2bfea04fb0d22fb18120a8c4 glibc-profile-2.1.2-17S.i386.rpm
dae857e8b766af7eaa480087e93a23d2 mtrace-2.1.2-17S.i386.rpm
290d00e78815af51d3ea11a2cdfc4e89 nscd-2.1.2-17S.i386.rpm

426205df03b60cd650f34daefb885bfa glibc-2.1.2-17S.src.rpm

dae46d04e3b62937ddcf946c5e993774 glibc-2.1.2-15S.i386.rpm
a5b7ef165c034ed5783c1095460d67e8 glibc-devel-2.1.2-15S.i386.rpm
19cd445efeb1b25df373dff12b31e2dc glibc-profile-2.1.2-15S.i386.rpm
ee45c2f4dde606f93eaede6320b12928 mtrace-2.1.2-15S.i386.rpm
a4830dc4f79a34fade2f59a8b8254416 nscd-2.1.2-15S.i386.rpm

42b08f78579f664b1d56f1246742a8a1 glibc-2.1.2-15S.src.rpm

These packages are GPG signed by Turbolinux for security. Our
key is available here:

http://www.turbolinux.com/security/tlgpgkey.asc

To verify a package, use the following command:

rpm –checksig name_of_rpm

To examine only the md5sum, use the following command:

rpm –checksig –nogpg name_of_rpm

**Note: Checking GPG keys requires RPM 3.0 or higher.


You can find more updates on our ftp server:

ftp://ftp.turbolinux.com/pub/updates/6.0/security/
for TL6.0 Workstation and Server security updates
ftp://ftp.turbolinux.com/pub/updates/4.0/security/
for TL4.0 Workstation and Server security updates

Our webpage for security announcements:

http://www.turbolinux.com/security
If you want to report vulnerabilities, please contact:

[email protected]


Subscribe to the TurboLinux Security Mailing lists:

TL-security – A moderated list for discussing security issues in
TurboLinux products.

Subscribe at http://www.turbolinux.com/mailman/listinfo/tl-security

TL-security-announce – An announce-only mailing list for
security updates and alerts.

Subscribe at
http://www.turbolinux.com/mailman/listinfo/tl-security-announce